Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 64450 - mplayer compile: can't find a register in class `GENERAL_REGS' while reloading `asm`
Summary: mplayer compile: can't find a register in class `GENERAL_REGS' while reloadin...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 64452 64454 64456
  Show dependency tree
 
Reported: 2004-09-17 14:08 UTC by Ole Tange
Modified: 2005-02-13 14:41 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Output from emerge mplayer (mplayer.out,98.80 KB, text/plain)
2004-09-17 14:09 UTC, Ole Tange
Details
emerge info (emerge-info,2.50 KB, text/plain)
2004-09-17 14:11 UTC, Ole Tange
Details
Output from USE=-mmx emerge mplayer (mplayer.out-mmx,98.62 KB, text/plain)
2004-09-17 14:15 UTC, Ole Tange
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ole Tange 2004-09-17 14:08:37 UTC
emerge mplayer gives the attached output.


Reproducible: Always
Steps to Reproduce:


Actual Results:  
 

Expected Results:
Comment 1 Ole Tange 2004-09-17 14:09:28 UTC
Created attachment 39789 [details]
Output from emerge mplayer
Comment 2 Ole Tange 2004-09-17 14:11:05 UTC
Created attachment 39790 [details]
emerge info
Comment 3 Ole Tange 2004-09-17 14:13:37 UTC
The bug seems related to 43964 and maybe 62489.

I will try USE=-mmx
Comment 4 Ole Tange 2004-09-17 14:15:56 UTC
Created attachment 39791 [details]
Output from USE=-mmx emerge mplayer

USE=-mmx worked for Gimp (Bug 62489). But does not work for mplayer.
Comment 5 Martin Holzer (RETIRED) gentoo-dev 2004-09-20 05:28:41 UTC
could you try pre5 ?
Comment 6 Ole Tange 2004-09-24 08:31:33 UTC
Yep. This compiles fine. And works (mostly - see other filed bug).
Comment 7 Philip White 2004-10-22 08:27:53 UTC
pre5 does not work for me.  (I am not the reporter.)

I use:
Portage 2.0.51-r2 (default-x86-1.4, gcc-3.4.2, glibc-2.3.4.20041006-r0, 2.6.7 i686)
System uname: 2.6.7 i686 AMD Athlon(tm) XP 3000+
CFLAGS="-march=athlon-xp -pipe"
CXXFLAGS="-march=athlon-xp -pipe"
FEATURES="autoaddcvs ccache distlocks nostrip sandbox"
USE="3dnow X alsa apm avi berkdb bitmap-fonts bonobo cdr crypt cups dvd encode f77 flac foomaticdb gdbm gif gimpprint gnome gpg gpm gtk gtk2 gtkhtml guile imlib java jpeg kde libg++ libwww mad mikmod mmx motif mpeg ncurses nls ogg oggvorbis opengl oss pam pdflib perl png python qt quicktime readline scanner sdl slang speex spell sse ssl svga tcpd tetex theora tif tiff truetype usb vorbis x86 xml2 xmms xprint xv zlib"


gcc -I../libvo -I../../libvo -I/usr/X11R6/include -march=athlon-xp -pipe -fno-stack-protector -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DHAVE_AV_CONFIG_H -I.. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -c -o libpostproc/postprocess.o libpostproc/postprocess.c
In file included from libpostproc/postprocess.c:670:
libpostproc/postprocess_template.c: In function `postProcess_3DNow':
libpostproc/postprocess_template.c:2872: warning: use of memory input without lvalue in asm operand 4 is deprecated
libpostproc/postprocess_template.c:2872: warning: use of memory input without lvalue in asm operand 4 is deprecated
libpostproc/postprocess_template.c: In function `dering_3DNow':
libpostproc/postprocess_template.c:1164: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[1]: *** [libpostproc/postprocess.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/mplayer-1.0_pre5-r4/work/MPlayer-1.0pre5/libavcodec'
make: *** [libavcodec/libavcodec.a] Error 2
Comment 8 Chris White (RETIRED) gentoo-dev 2004-11-08 22:48:36 UTC
Fixed in the latest pre5-r4 with some flag filtration.
Comment 9 Helge Haugland 2005-02-12 08:49:33 UTC
I get the same error: 

cc -I../libvo -I../../libvo -I/usr/X11R6/include -march=athlon-xp -pipe -fomit-frame-pointer -g -fno-pie -fno-pie -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DHAVE_AV_CONFIG_H -I.. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -c -o libpostproc/postprocess.o libpostproc/postprocess.c
In file included from libpostproc/postprocess.c:670:
libpostproc/postprocess_template.c: In function `postProcess_3DNow':
libpostproc/postprocess_template.c:2872: warning: use of memory input without lvalue in asm operand 4 is deprecated
libpostproc/postprocess_template.c:2872: warning: use of memory input without lvalue in asm operand 4 is deprecated
libpostproc/postprocess_template.c: In function `dering_3DNow':
libpostproc/postprocess_template.c:1164: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[1]: *** [libpostproc/postprocess.o] Error 1
make[1]: Leaving directory `/home/tmp/portage/mplayer-1.0_pre5-r4/work/MPlayer-1.0pre5/libavcodec'
make: *** [libavcodec/libavcodec.a] Error 2

!!! ERROR: media-video/mplayer-1.0_pre5-r4 failed.
!!! Function src_compile, Line 441, Exitcode 2

Is there anything I'm doing wrong?
Comment 10 Luca Barbato gentoo-dev 2005-02-13 14:25:20 UTC
let me guess: you are using a gcc4 snapshot. please open another bug and try the latest mplayer ebuild
Comment 11 Philip White 2005-02-13 14:41:29 UTC
Luca, if you're talking to everyone who's experiencing this problem, then no -- I personally use a stable version of GCC 3.3.x.